Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityZombie

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityMob
                      net.minecraft.src.EntityZombie

All Implemented Interfaces:
  IAnimals, IMob

Direct Known Subclasses:
  EntityPigZombie

    public class EntityZombie

extends EntityMob

Field Summary

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTempCounter, arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82173_br, field_82175_bq, field_82181_as, hurtTime, isJumping, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Fields inherited from interface net.minecraft.src.IMob
`field_82192_a`

Constructor Summary
`EntityZombie(World par1World)`

Method Summary
`void` | `func_82163_bD()`
`int` | `func_82193_c(Entity par1Entity)`
`void` | `func_82227_f(boolean par1)`
`void` | `func_82229_g(boolean par1)`
`boolean` | `func_82230_o()`
`boolean` | `func_82231_m()`
`EnumCreatureAttribute` | `getCreatureAttribute()` Get this Entity's EnumCreatureAttribute
`int` | `getMaxHealth()`
`float` | `getSpeedModifier()` This method returns a value to be applied directly to entity speed, this factor is less than 1 when a slowdown potion effect is applied, more than 1 when a haste potion effect is applied and 2 for fleeing entities.
`String` | `getTexture()`
`int` | `getTotalArmorValue()` Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
`void` | `handleHealthUpdate(byte par1)`
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isChild()` If Animal, checks if the age timer is negative
`void` | `onKillEntity(EntityLiving par1EntityLiving)` This method gets called when the entity kills another one.
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityMob
`attackEntityAsMob, attackEntityFrom, getBlockPathWeight, getCanSpawnHere`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70062_b, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, func_82169_q, func_82170_o, func_82171_bF, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTalkInterval, getVerticalFaceSpeed, hasHome, heal, isBlocking, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82141_a, func_82142_c, func_82144_au, func_82145_z, func_82146_a, func_82147_ab, func_82148_at, func_82149_j, func_82150_aj, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToTheEnd, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityZombie

    public EntityZombie(World par1World)

Method Detail

### getSpeedModifier

    public float getSpeedModifier()

  This method returns a value to be applied directly to entity speed, this factor is less than 1 when a slowdown potion effect is applied, more than 1 when a haste potion effect is applied and 2 for fleeing entities.

  Overrides:
    `getSpeedModifier` in class `EntityCreature`

### getTexture

    public String getTexture()

  Overrides:
    `getTexture` in class `EntityLiving`

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### getTotalArmorValue

    public int getTotalArmorValue()

  Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue

  Overrides:
    `getTotalArmorValue` in class `EntityLiving`

### isChild

    public boolean isChild()

  If Animal, checks if the age timer is negative

  Overrides:
    `isChild` in class `EntityLiving`

### func_82227_f

    public void func_82227_f(boolean par1)

### func_82231_m

    public boolean func_82231_m()

### func_82229_g

    public void func_82229_g(boolean par1)

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityMob`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityMob`

### func_82193_c

    public int func_82193_c(Entity par1Entity)

  Overrides:
    `func_82193_c` in class `EntityMob`

### getCreatureAttribute

    public EnumCreatureAttribute getCreatureAttribute()

  Get this Entity's EnumCreatureAttribute

  Overrides:
    `getCreatureAttribute` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityLiving`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityLiving`

### onKillEntity

    public void onKillEntity(EntityLiving par1EntityLiving)

  This method gets called when the entity kills another one.

  Overrides:
    `onKillEntity` in class `Entity`

### func_82163_bD

    public void func_82163_bD()

  Overrides:
    `func_82163_bD` in class `EntityLiving`

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `Entity`

### handleHealthUpdate

    public void handleHealthUpdate(byte par1)

  Overrides:
    `handleHealthUpdate` in class `EntityLiving`

### func_82230_o

    public boolean func_82230_o()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD